<p>mycounter works!</p>
<button (click)="increment()">Increment</button>

<div>Current Count: {{ count$ | async }}</div>

<div> hello {{name | async}} </div>

<button (click)="decrement()">Decrement</button>

<button (click)="reset()">Reset Counter</button>